require 'ctrlspecs/version'
require File.dirname(__FILE__) + "/spec/support/shared/examples.rb"
require File.dirname(__FILE__) + "/spec/support/shared/contexts.rb"

module Ctrlspecs
  def it_renders_template tmpl_name
    it_behaves_like 'renders template', tmpl_name
  end

  def it_redirects_to path
    it_behaves_like 'redirects to', path
  end

  def it_flashes hsh
    it_behaves_like 'flashes', hsh
  end

  def it_calls_service service
    it_behaves_like 'calls service', service
  end

  def mock_save_record_failure
    include_context 'mock save record failure'
  end

  def mock_service_returning_error service, error
    include_context 'mock service returning error', service, error
  end
end
